Bug 1804450 - Review Request: nodejs-toidentifier - Convert a string of words to a JavaScript identifier
Summary: Review Request: nodejs-toidentifier - Convert a string of words to a JavaScri...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jared Smith
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1799694
TreeView+ depends on / blocked
 
Reported: 2020-02-18 21:11 UTC by Ben Rosser
Modified: 2020-03-27 20:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-27 20:14:52 UTC
Type: ---
jsmith.fedora: fedora-review+


Attachments (Terms of Use)

Description Ben Rosser 2020-02-18 21:11:24 UTC
Spec URL: https://tc01.fedorapeople.org/nodejs/misc/nodejs-toidentifier.spec
SRPM URL: https://tc01.fedorapeople.org/nodejs/misc/nodejs-toidentifier-1.0.0-1.fc33.src.rpm
Description: Convert a string of words to a JavaScript identifier.
Fedora Account System Username: tc01

This is a very simple nodejs package that's a new dependency of nodejs-http-errors, which is currently uninstallable in Fedora 32+.

Comment 1 Jared Smith 2020-02-18 23:35:55 UTC
The fedora-review tool seems broken again, but I have manually reviewed your package, and it is approved.  

The package
 * is under an appropriate Fedora-approved open source license
 * follows the Fedora Packaging guidelines.

Comment 2 Gwyn Ciesla 2020-02-19 15:32:07 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/nodejs-toidentifier

Comment 3 Ben Rosser 2020-02-19 15:44:17 UTC
Thanks for the review, Jared!

I'll build the package in Rawhide and F32. Once it's built, I'll submit a PR to update nodejs-http-errors.

Comment 4 Ben Rosser 2020-02-24 18:41:38 UTC
I got sidetracked, but here's a PR to update http-errors:

https://src.fedoraproject.org/rpms/nodejs-http-errors/pull-request/1


Note You need to log in before you can comment on or make changes to this bug.